using VeterinaryContracts.BindingModels;
using VeterinaryContracts.SearchModels;
using VeterinaryContracts.ViewModels;

namespace VeterinaryContracts.StorageContracts
{
	public interface IPetStorage
	{
		List<PetViewModel> GetFullList();
		List<PetViewModel> GetFilteredList(PetSearchModel model);
		List<ReportServicesViewModel> GetReportServices(ReportServicesSearchModel model);
		List<ReportVisitsDrugsViewModel> GetReportVisitsDrugs(ReportVisitsDrugsSearchModel model);
		PetViewModel? GetElement(PetSearchModel model);
		PetViewModel? Insert(PetBindingModel model);
		PetViewModel? Update(PetBindingModel model);
		PetViewModel? Delete(PetBindingModel model);
	}
}
